%global upstream_name Stockfish

# it seems to be better to release from commits due to strange versioning
%global commit       b33176815eb8092af28639b5139516ae532e3c75
%global commitdate   20150131
%global shortcommit  %(c=%{commit}; echo ${c:0:7})

Name:           stockfish
Version:        6
Release:        1.%{commitdate}git%{shortcommit}%{dist}
Summary:        Powerful open source chess engine
License:        GPLv3+
URL:            http://stockfishchess.org/
Source0:        https://github.com/mcostalba/%{upstream_name}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz
Source1:        https://raw.githubusercontent.com/official-%{name}/%{upstream_name}/master/AUTHORS#/%{name}-AUTHORS
# steal some documentation from ubuntu
Source2:        https://bazaar.launchpad.net/~ubuntu-branches/ubuntu/vivid/%{name}/vivid/download/head:/engineinterface.txt-20091204230329-yljoyxocuxhxg1ot-78/engine-interface.txt#/%{name}-interface.txt
Source3:        https://bazaar.launchpad.net/~ubuntu-branches/ubuntu/vivid/%{name}/vivid/download/head:/%{name}.6-20091204230329-yljoyxocuxhxg1ot-76/%{name}.6

%description
Stockfish is a free UCI chess engine derived from Glaurung 2.1. It is not a
complete chess program, but requires some UCI compatible GUI (like XBoard with
PolyGlot, eboard, Arena, Sigma Chess, Shredder, Chess Partner or Fritz) in
order to be used comfortably. Read the documentation for your GUI of choice for
information about how to use Stockfish with your GUI.

%prep
%setup -qn%{upstream_name}-%{commit}
cp -p %{SOURCE1} AUTHORS
cp -p %{SOURCE2} %{SOURCE3} .

%build
%ifarch x86_64
 %global arch x86-64
%else
 %ifarch %{ix86}
  %global arch x86-32
 %else
  %ifarch armv7hl
   %global arch armv7
    %endif
  %endif
%endif
make -C src build ARCH=%{arch} %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 -p src/%{name} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/man/man6
cp -p %{name}.6 %{buildroot}%{_datadir}/man/man6

%files
%license Copying.txt
%doc AUTHORS %{name}-interface.txt Readme.md
%{_datadir}/man/man*/%{name}*
%{_bindir}/%{name}


%changelog
* Wed Feb 25 2015 Builder <projects.rg@smart.ms> - 6-1.20150131gitb331768
- bump to version 6 and switch to commits

* Tue Sep 10 2013 Dhiru Kholia <dhiru@openwall.com> - 4-2
- fixed prep section and book path, removed dos2unix call, confirm to FHS
- preserve timestamps for resources, use ExclusiveArch, preserve debug symbols

* Tue Sep 10 2013 Dhiru Kholia <dhiru@openwall.com> - 4-1
- initial version based on stockfish.spec from mageia
